(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  DbiProcs, DbiTypes, Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Db, DBTables, Grids, DBGrids;

type
  TForm1 = class(TForm)
    Table1: TTable;
    Button1: TButton;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  HCursor: HDBICur;
  TableDesc: TBLFullDesc;
  CName: array[0..255] of Char;
  Version: Integer;
begin
  StrPCopy(CName, Table1.TableName);
  Check(DbiOpenTableList(Table1.DBHandle, True, False, CName, HCursor));
  Check(DbiGetNextRecord(HCursor, dbiNOLOCK, @TableDesc, nil));
  Version:=TableDesc.tblExt.iRestrVersion;
  Check(DbiCloseCursor(HCursor));
  MessageDlg('Version '+IntToStr(Version), mtInformation,[mbOK], 0);
end;

end.
